pipeline {
agent any
stages {
 stage('git') {
  steps {
    echo 'checkout code from gitlab'
     git credentialsId: '3', url: 'https://gitlab.com/kandra.vignesh4/fery-restaurant.git'
      }
    }
   stage('npm install package'){
    steps{

   bat '''
        npm i -g npm-check-updates
        ncu -u
        npm install
        npm install -g @angular/cli@latest
        npm install --save core-js@^2.5.0

        ng build --prod


        '''
         }
       }
     

    stage ('Deploy to dev Environment') {
      steps{
    
        echo "deploying to dev environment"
    
    bat '''
        ng serve




        pm2 restart all

  
        '''
    
        }
      }  


      stage ('Done with build') {
      steps{
        echo "build complete"


        bat'''
              if (!continueBuild) {
    currentBuild.result = 'ABORTED'
    error('Stopping early…')
}   
        '''
        }
      }
  }
}
